Bug when compiling mobile app with sass

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug when compiling mobile app with sass

Frédéric
Hi,

When I try to generate a mobile app with qooxdoo 4.1, using sass, on my debian sid (ruby-sass 3.4.6-2),
I get:

$ ./generate.py source

----------------------------------------------------------------------------
    Initializing: pKNyXui
----------------------------------------------------------------------------
>>> Processing configuration

----------------------------------------------------------------------------
    Executing: source::source-script::compile-scss
----------------------------------------------------------------------------
>>> Executing shell command "sass -C -t compressed
   -I ../qooxdoo-sdk/framework/source/resource/qx/mobile/scss
   -I ../qooxdoo-sdk/framework/source/resource/qx/scss --update
   source/resource/pknyxui/scss:source/resource/pknyxui/css"...
NoMethodError: undefined method `specificity' for [:not(.selectbox)]:Array
  Use --trace for backtrace.
<type 'exceptions.RuntimeError'> :
Shell command returned error code: 1

Is it a known bug? Any idea to fix that?

Thanks,

--
    Frédéric

------------------------------------------------------------------------------
Dive into the World of Parallel Programming. The Go Parallel Website,
sponsored by Intel and developed in partnership with Slashdot Media, is your
hub for all things parallel software development, from weekly thought
leadership blogs to news, videos, case studies, tutorials and more. Take a
look and join the conversation now. http://goparallel.sourceforge.net/
_______________________________________________
qooxdoo-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qooxdoo-devel
Reply | Threaded
Open this post in threaded view
|

Re: Bug when compiling mobile app with sass

MartinWittemann
Administrator
Hey,
> Is it a known bug? Any idea to fix that?

No, never heard of that. Did you try to update your sass-version? Sounds like a bug to me as it works on my OS X running Sass 3.4.9 (Selective Steve) and on a debian running Sass 3.2.12 (Media Mark).

Regards,
Martin
------------------------------------------------------------------------------
Dive into the World of Parallel Programming. The Go Parallel Website,
sponsored by Intel and developed in partnership with Slashdot Media, is your
hub for all things parallel software development, from weekly thought
leadership blogs to news, videos, case studies, tutorials and more. Take a
look and join the conversation now. http://goparallel.sourceforge.net/
_______________________________________________
qooxdoo-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qooxdoo-devel
Reply | Threaded
Open this post in threaded view
|

Re: Bug when compiling mobile app with sass

Frédéric
Le 04/02/2015, Martin a écrit :

> No, never heard of that. Did you try to update your sass-version? Sounds like a bug to me as it works
> on my OS X running Sass 3.4.9 (Selective Steve) and on a debian running Sass 3.2.12 (Media Mark).

I will try to install sass using gem, instead of debian package.

--
    Frédéric

------------------------------------------------------------------------------
Dive into the World of Parallel Programming. The Go Parallel Website,
sponsored by Intel and developed in partnership with Slashdot Media, is your
hub for all things parallel software development, from weekly thought
leadership blogs to news, videos, case studies, tutorials and more. Take a
look and join the conversation now. http://goparallel.sourceforge.net/
_______________________________________________
qooxdoo-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qooxdoo-devel
Reply | Threaded
Open this post in threaded view
|

Re: Bug when compiling mobile app with sass

Andreas Parusel
Hi Frédéric,

I remember having seen this error too a while ago. It wasn’t something that was related to qooxdoo but to sass. I don’t remember the exact steps but the solution had to do something with the sass version. I think I went a minor version up or down and then the problem disappeared.

Good luck!

-Andreas

> Am 04.02.2015 um 11:19 schrieb Frédéric <[hidden email]>:
>
> Le 04/02/2015, Martin a écrit :
>
>> No, never heard of that. Did you try to update your sass-version? Sounds like a bug to me as it works
>> on my OS X running Sass 3.4.9 (Selective Steve) and on a debian running Sass 3.2.12 (Media Mark).
>
> I will try to install sass using gem, instead of debian package.
>
> --
>    Frédéric
>
> ------------------------------------------------------------------------------
> Dive into the World of Parallel Programming. The Go Parallel Website,
> sponsored by Intel and developed in partnership with Slashdot Media, is your
> hub for all things parallel software development, from weekly thought
> leadership blogs to news, videos, case studies, tutorials and more. Take a
> look and join the conversation now. http://goparallel.sourceforge.net/
> _______________________________________________
> qooxdoo-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/qooxdoo-devel

------------------------------------------------------------------------------
Dive into the World of Parallel Programming. The Go Parallel Website,
sponsored by Intel and developed in partnership with Slashdot Media, is your
hub for all things parallel software development, from weekly thought
leadership blogs to news, videos, case studies, tutorials and more. Take a
look and join the conversation now. http://goparallel.sourceforge.net/
_______________________________________________
qooxdoo-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qooxdoo-devel
Reply | Threaded
Open this post in threaded view
|

Re: Bug when compiling mobile app with sass

Frédéric
Le Wednesday 11 February 2015, Andreas a écrit :

> I remember having seen this error too a while ago. It wasn’t
> something that was related to qooxdoo but to sass. I don’t remember
> the exact steps but the solution had to do something with the sass
> version. I think I went a minor version up or down and then the
> problem disappeared.

Thanks for your answer.

I installed sass using gem, and all works fine, now.

--
    Frédéric

------------------------------------------------------------------------------
Dive into the World of Parallel Programming. The Go Parallel Website,
sponsored by Intel and developed in partnership with Slashdot Media, is your
hub for all things parallel software development, from weekly thought
leadership blogs to news, videos, case studies, tutorials and more. Take a
look and join the conversation now. http://goparallel.sourceforge.net/
_______________________________________________
qooxdoo-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/qooxdoo-devel